(function(){
    X.pageLogic['login'] = {
        init : function(){
            $(".login-denglu").click(function(){
                postlogin();
            });

            document.onkeydown=function(ev){
                var event=ev ||event
                if(event.keyCode==13){
      
                    postlogin();
      
                }
            };

            function postlogin(){
                var account = $(".login-txt-box .account").val();
                var password = $(".login-txt-box .password").val();
                // X.gourl("dashboard");
                X.api('user/login',"post",{username:account,password:password},function (d){
                    // console.log(d);
                    X.DATA["userinfo"] = d;
                    X.loginCache(d);
                    X.gourl("dashboard");
                });
            };

        }
    };
})();